diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-cca-test.cc ns-3.44/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-cca-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-cca-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -1136,36 +1140,37 @@
                         &WifiPhyCcaIndicationTest::LogScenario,
                         this,
                         "Reception of signal that occupies P20 above ED threshold");
-    ScheduleTest(delay,
-                 {{-60.0, MicroSeconds(0), MicroSeconds(100), P20_CENTER_FREQUENCY, 20}},
-                 {},
-                 {
-                     {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCCATime
-                     {MicroSeconds(100) - smallDelta,
-                      WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
-                     {MicroSeconds(100) + smallDelta,
-                      WifiPhyState::IDLE} // IDLE just after the transmission ends
-                 },
-                 {{MicroSeconds(100) - smallDelta,
-                   MicroSeconds(100),
-                   WIFI_CHANLIST_PRIMARY,
-                   ((m_channelWidth > 20)
-                        ? ((m_channelWidth > 40)
-                               ? ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(100),
-                                                                            MicroSeconds(0),
-                                                                            MicroSeconds(0),
-                                                                            MicroSeconds(0),
-                                                                            MicroSeconds(0),
-                                                                            MicroSeconds(0),
-                                                                            MicroSeconds(0),
-                                                                            MicroSeconds(0)}
-                                                        : std::vector<Time>{MicroSeconds(100),
-                                                                            MicroSeconds(0),
-                                                                            MicroSeconds(0),
-                                                                            MicroSeconds(0)})
-                               : std::vector<Time>{MicroSeconds(100), MicroSeconds(0)})
-                        : std::vector<Time>{})}});
-    delay += Seconds(1.0);
+    ScheduleTest(
+        delay,
+        {{dBm_u{-60.0}, MicroSeconds(0), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}}},
+        {},
+        {
+            {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCCATime
+            {MicroSeconds(100) - smallDelta,
+             WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
+            {MicroSeconds(100) + smallDelta,
+             WifiPhyState::IDLE} // IDLE just after the transmission ends
+        },
+        {{MicroSeconds(100) - smallDelta,
+          MicroSeconds(100),
+          WIFI_CHANLIST_PRIMARY,
+          ((m_channelWidth > MHz_u{20})
+               ? ((m_channelWidth > MHz_u{40})
+                      ? ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{MicroSeconds(100),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0)}
+                                                      : std::vector<Time>{MicroSeconds(100),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0)})
+                      : std::vector<Time>{MicroSeconds(100), MicroSeconds(0)})
+               : std::vector<Time>{})}});
+    delay += Seconds(1);
 
     //----------------------------------------------------------------------------------------------------------------------------------
     // Verify PHY state is CCA-BUSY as long as the sum of 20 MHz signals occupying P20 is above the
@@ -1177,8 +1182,8 @@
                         "sum above ED threshold");
     ScheduleTest(
         delay,
-        {{-64.0, MicroSeconds(0), MicroSeconds(100), P20_CENTER_FREQUENCY, 20},
-         {-65.0, MicroSeconds(50), MicroSeconds(200), P20_CENTER_FREQUENCY, 20}},
+        {{dBm_u{-64.0}, MicroSeconds(0), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}},
+         {dBm_u{-65.0}, MicroSeconds(50), MicroSeconds(200), P20_CENTER_FREQUENCY, MHz_u{20}}},
         {},
         {
             {MicroSeconds(50) + aCcaTime, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCCATime
@@ -1190,23 +1195,23 @@
         {{MicroSeconds(100) - smallDelta,
           MicroSeconds(100),
           WIFI_CHANLIST_PRIMARY,
-          ((m_channelWidth > 20)
-               ? ((m_channelWidth > 40)
-                      ? ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(50),
-                                                                   MicroSeconds(0),
-                                                                   MicroSeconds(0),
-                                                                   MicroSeconds(0),
-                                                                   MicroSeconds(0),
-                                                                   MicroSeconds(0),
-                                                                   MicroSeconds(0),
-                                                                   MicroSeconds(0)}
-                                               : std::vector<Time>{MicroSeconds(50),
-                                                                   MicroSeconds(0),
-                                                                   MicroSeconds(0),
-                                                                   MicroSeconds(0)})
+          ((m_channelWidth > MHz_u{20})
+               ? ((m_channelWidth > MHz_u{40})
+                      ? ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{MicroSeconds(50),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0)}
+                                                      : std::vector<Time>{MicroSeconds(50),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0),
+                                                                          MicroSeconds(0)})
                       : std::vector<Time>{MicroSeconds(50), MicroSeconds(0)})
                : std::vector<Time>{})}});
-    delay += Seconds(1.0);
+    delay += Seconds(1);
 
     //----------------------------------------------------------------------------------------------------------------------------------
     // Verify PHY state stays IDLE when a 20 MHz HE SU PPDU with received power below the
@@ -1218,16 +1223,16 @@
         "Reception of a 20 MHz HE PPDU that occupies P20 below CCA sensitivity threshold");
     ScheduleTest(delay,
                  {},
-                 {{-85.0, MicroSeconds(0), P20_CENTER_FREQUENCY, 20}},
+                 {{dBm_u{-85}, MicroSeconds(0), P20_CENTER_FREQUENCY, MHz_u{20}}},
                  {
                      {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                     {PpduDurations.at(20) - smallDelta,
+                     {PpduDurations.at(MHz_u{20}) - smallDelta,
                       WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                     {PpduDurations.at(20) + smallDelta,
+                     {PpduDurations.at(MHz_u{20}) + smallDelta,
                       WifiPhyState::IDLE} // IDLE just after the transmission ends
                  },
                  {});
-    delay += Seconds(1.0);
+    delay += Seconds(1);
 
     //----------------------------------------------------------------------------------------------------------------------------------
     // Verify PHY state transitions to CCA-BUSY when an HE SU PPDU with received power above the CCA
@@ -1241,12 +1246,12 @@
     ScheduleTest(
         delay,
         {},
-        {{-80.0, MicroSeconds(0), P20_CENTER_FREQUENCY, 20}},
+        {{dBm_u{-80}, MicroSeconds(0), P20_CENTER_FREQUENCY, MHz_u{20}}},
         {
             {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCCATime
-            {PpduDurations.at(20) - smallDelta,
+            {PpduDurations.at(MHz_u{20}) - smallDelta,
              WifiPhyState::RX}, // RX just before the transmission ends
-            {PpduDurations.at(20) + smallDelta,
+            {PpduDurations.at(MHz_u{20}) + smallDelta,
              WifiPhyState::IDLE} // IDLE just after the transmission ends
         },
         {{aCcaTime,
@@ -1266,7 +1271,7 @@
                              : std::vector<Time>{Seconds(0), Seconds(0), Seconds(0), Seconds(0)})
                       : std::vector<Time>{Seconds(0), Seconds(0)})
                : std::vector<Time>{})}});
-    delay += Seconds(1.0);
+    delay += Seconds(1);
 
     //----------------------------------------------------------------------------------------------------------------------------------
     // Verify PHY state stays IDLE when a 40 MHz HE SU PPDU with received power below the CCA
@@ -1278,16 +1283,16 @@
         "Reception of a 40 MHz HE PPDU that occupies P20 below CCA sensitivity threshold");
     ScheduleTest(delay,
                  {},
-                 {{-80.0, MicroSeconds(0), P40_CENTER_FREQUENCY, 40}},
+                 {{dBm_u{-80}, MicroSeconds(0), P40_CENTER_FREQUENCY, MHz_u{40}}},
                  {
                      {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                     {PpduDurations.at(40) - smallDelta,
+                     {PpduDurations.at(MHz_u{40}) - smallDelta,
                       WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                     {PpduDurations.at(40) + smallDelta,
+                     {PpduDurations.at(MHz_u{40}) + smallDelta,
                       WifiPhyState::IDLE} // IDLE just after the transmission ends
                  },
                  {});
-    delay += Seconds(1.0);
+    delay += Seconds(1);
 
     //----------------------------------------------------------------------------------------------------------------------------------
     // Verify PHY state transitions to CCA-BUSY when an HE SU PPDU with received power above the CCA
@@ -1301,14 +1306,14 @@
     ScheduleTest(
         delay,
         {},
-        {{-75.0, MicroSeconds(0), P40_CENTER_FREQUENCY, 40}},
+        {{dBm_u{-75}, MicroSeconds(0), P40_CENTER_FREQUENCY, MHz_u{40}}},
         {
             {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCCATime
-            {PpduDurations.at(40) - smallDelta,
-             (m_channelWidth > 20)
+            {PpduDurations.at(MHz_u{40}) - smallDelta,
+             (m_channelWidth > MHz_u{20})
                  ? WifiPhyState::RX
                  : WifiPhyState::CCA_BUSY}, // RX or IDLE just before the transmission ends
-            {PpduDurations.at(40) + smallDelta,
+            {PpduDurations.at(MHz_u{40}) + smallDelta,
              WifiPhyState::IDLE} // IDLE just after the transmission ends
         },
         {{aCcaTime,
@@ -1328,9 +1333,9 @@
                              : std::vector<Time>{Seconds(0), Seconds(0), Seconds(0), Seconds(0)})
                       : std::vector<Time>{Seconds(0), Seconds(0)})
                : std::vector<Time>{})}});
-    delay += Seconds(1.0);
+    delay += Seconds(1);
 
-    if (m_channelWidth > 20)
+    if (m_channelWidth > MHz_u{20})
     {
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and no CCA-BUSY indication is reported when a 20 MHz signal
@@ -1339,18 +1344,19 @@
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 20 MHz signal that occupies S20 below ED threshold");
-        ScheduleTest(delay,
-                     {{-65.0, MicroSeconds(0), MicroSeconds(100), S20_CENTER_FREQUENCY, 20}},
-                     {},
-                     {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {});
-        delay += Seconds(1.0);
+        ScheduleTest(
+            delay,
+            {{dBm_u{-65}, MicroSeconds(0), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}}},
+            {},
+            {
+                {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                {MicroSeconds(100) - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {MicroSeconds(100) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {});
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 20 MHz signal
@@ -1361,7 +1367,7 @@
                             "Reception of a 20 MHz signal that occupies S20 above ED threshold");
         ScheduleTest(
             delay,
-            {{-60.0, MicroSeconds(0), MicroSeconds(100), S20_CENTER_FREQUENCY, 20}},
+            {{dBm_u{-60}, MicroSeconds(0), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
                 {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -1373,20 +1379,21 @@
             {{MicroSeconds(100) - smallDelta,
               MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY,
-              ((m_channelWidth > 40) ? ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
-                                                                                  MicroSeconds(100),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0)}
-                                                              : std::vector<Time>{MicroSeconds(0),
-                                                                                  MicroSeconds(100),
-                                                                                  MicroSeconds(0),
-                                                                                  MicroSeconds(0)})
-                                     : std::vector<Time>{MicroSeconds(0), MicroSeconds(100)})}});
-        delay += Seconds(1.0);
+              ((m_channelWidth > MHz_u{40})
+                   ? ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{MicroSeconds(0),
+                                                                       MicroSeconds(100),
+                                                                       MicroSeconds(0),
+                                                                       MicroSeconds(0),
+                                                                       MicroSeconds(0),
+                                                                       MicroSeconds(0),
+                                                                       MicroSeconds(0),
+                                                                       MicroSeconds(0)}
+                                                   : std::vector<Time>{MicroSeconds(0),
+                                                                       MicroSeconds(100),
+                                                                       MicroSeconds(0),
+                                                                       MicroSeconds(0)})
+                   : std::vector<Time>{MicroSeconds(0), MicroSeconds(100)})}});
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state is CCA-BUSY as long as a 40 MHz signal above the energy detection
@@ -1397,7 +1404,7 @@
                             "Reception of a 40 MHz signal that occupies P40 above ED threshold");
         ScheduleTest(
             delay,
-            {{-55.0, MicroSeconds(0), MicroSeconds(100), P40_CENTER_FREQUENCY, 40}},
+            {{dBm_u{-55}, MicroSeconds(0), MicroSeconds(100), P40_CENTER_FREQUENCY, MHz_u{40}}},
             {},
             {
                 {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCCATime
@@ -1422,7 +1429,7 @@
                                                                                   MicroSeconds(0),
                                                                                   MicroSeconds(0)})
                                      : std::vector<Time>{MicroSeconds(100), MicroSeconds(100)})}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY notifies CCA-BUSY for the primary channel while the secondary channel was
@@ -1434,8 +1441,8 @@
                             "another signal that occupies P20");
         ScheduleTest(
             delay,
-            {{-60.0, MicroSeconds(0), MicroSeconds(100), S20_CENTER_FREQUENCY, 20},
-             {-60.0, MicroSeconds(50), MicroSeconds(100), P20_CENTER_FREQUENCY, 20}},
+            {{dBm_u{-60}, MicroSeconds(0), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}},
+             {dBm_u{-60}, MicroSeconds(50), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
                 {aCcaTime, WifiPhyState::IDLE}, // state of primary stays idle after aCCATime
@@ -1479,7 +1486,7 @@
                                                                                   MicroSeconds(0),
                                                                                   MicroSeconds(0)})
                                      : std::vector<Time>{MicroSeconds(100), MicroSeconds(50)})}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY updates per-20 MHz CCA durations if a signal arrives on the secondary channel
@@ -1491,8 +1498,8 @@
                             "another signal that occupies S20");
         ScheduleTest(
             delay,
-            {{-60.0, MicroSeconds(0), MicroSeconds(100), P20_CENTER_FREQUENCY, 20},
-             {-60.0, MicroSeconds(50), MicroSeconds(100), S20_CENTER_FREQUENCY, 20}},
+            {{dBm_u{-60}, MicroSeconds(0), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}},
+             {dBm_u{-60}, MicroSeconds(50), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
                 {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCCATime
@@ -1536,7 +1543,7 @@
                                                                                   MicroSeconds(0),
                                                                                   MicroSeconds(0)})
                                      : std::vector<Time>{MicroSeconds(50), MicroSeconds(100)})}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE when a 20 MHz HE SU PPDU with received power below the CCA
@@ -1548,16 +1555,16 @@
             "Reception of a 20 MHz HE PPDU that occupies S20 below CCA sensitivity threshold");
         ScheduleTest(delay,
                      {},
-                     {{-75.0, MicroSeconds(0), S20_CENTER_FREQUENCY, 20}},
+                     {{dBm_u{-75}, MicroSeconds(0), S20_CENTER_FREQUENCY, MHz_u{20}}},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {PpduDurations.at(20) - smallDelta,
+                         {PpduDurations.at(MHz_u{20}) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {PpduDurations.at(20) + smallDelta,
+                         {PpduDurations.at(MHz_u{20}) + smallDelta,
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 20 MHz HE SU PPDU
@@ -1567,34 +1574,35 @@
             &WifiPhyCcaIndicationTest::LogScenario,
             this,
             "Reception of a 20 MHz HE PPDU that occupies S20 above CCA sensitivity threshold");
-        ScheduleTest(delay,
-                     {},
-                     {{-70.0, MicroSeconds(0), S20_CENTER_FREQUENCY, 20}},
-                     {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {PpduDurations.at(20) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {PpduDurations.at(20) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {{aCcaTime,
-                       PpduDurations.at(20),
-                       WIFI_CHANLIST_SECONDARY,
-                       ((m_channelWidth > 40)
-                            ? ((m_channelWidth > 80) ? std::vector<Time>{NanoSeconds(0),
-                                                                         PpduDurations.at(20),
-                                                                         NanoSeconds(0),
-                                                                         NanoSeconds(0),
-                                                                         NanoSeconds(0),
-                                                                         NanoSeconds(0),
-                                                                         NanoSeconds(0),
-                                                                         NanoSeconds(0)}
-                                                     : std::vector<Time>{NanoSeconds(0),
-                                                                         PpduDurations.at(20),
-                                                                         NanoSeconds(0),
-                                                                         NanoSeconds(0)})
-                            : std::vector<Time>{NanoSeconds(0), PpduDurations.at(20)})}});
-        delay += Seconds(1.0);
+        ScheduleTest(
+            delay,
+            {},
+            {{dBm_u{-70}, MicroSeconds(0), S20_CENTER_FREQUENCY, MHz_u{20}}},
+            {
+                {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                {PpduDurations.at(MHz_u{20}) - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {PpduDurations.at(MHz_u{20}) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{aCcaTime,
+              PpduDurations.at(MHz_u{20}),
+              WIFI_CHANLIST_SECONDARY,
+              ((m_channelWidth > MHz_u{40})
+                   ? ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{NanoSeconds(0),
+                                                                       PpduDurations.at(MHz_u{20}),
+                                                                       NanoSeconds(0),
+                                                                       NanoSeconds(0),
+                                                                       NanoSeconds(0),
+                                                                       NanoSeconds(0),
+                                                                       NanoSeconds(0),
+                                                                       NanoSeconds(0)}
+                                                   : std::vector<Time>{NanoSeconds(0),
+                                                                       PpduDurations.at(MHz_u{20}),
+                                                                       NanoSeconds(0),
+                                                                       NanoSeconds(0)})
+                   : std::vector<Time>{NanoSeconds(0), PpduDurations.at(MHz_u{20})})}});
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE but CCA-BUSY indication is still reported as long as a signal
@@ -1608,12 +1616,15 @@
             "MHz HE PPDU that occupies P40 below CCA sensitivity threshold");
         ScheduleTest(
             delay,
-            {{-60.0,
+            {{dBm_u{-60},
               MicroSeconds(0),
               MicroSeconds(100),
               S20_CENTER_FREQUENCY,
-              20}},                                                // signal on S20 above threshold
-            {{-80.0, MicroSeconds(50), P40_CENTER_FREQUENCY, 40}}, // PPDU on P40 below threshold
+              MHz_u{20}}}, // signal on S20 above threshold
+            {{dBm_u{-80},
+              MicroSeconds(50),
+              P40_CENTER_FREQUENCY,
+              MHz_u{40}}}, // PPDU on P40 below threshold
             {
                 {MicroSeconds(50) + aCcaTime, WifiPhyState::IDLE}, // PHY state stays IDLE
             },
@@ -1652,10 +1663,10 @@
                                                                                   MicroSeconds(0),
                                                                                   MicroSeconds(0)})
                                      : std::vector<Time>{MicroSeconds(0), MicroSeconds(46)})}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
     }
 
-    if (m_channelWidth > 40)
+    if (m_channelWidth > MHz_u{40})
     {
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and no CCA-BUSY indication is reported when a signal below
@@ -1666,7 +1677,11 @@
                             "Reception of a 20 MHz signal that occupies the first subchannel of "
                             "S40 below ED threshold");
         ScheduleTest(delay,
-                     {{-65.0, MicroSeconds(0), MicroSeconds(100), S40_CENTER_FREQUENCY - 10, 20}},
+                     {{dBm_u{-65},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S40_CENTER_FREQUENCY - MHz_u{10},
+                       MHz_u{20}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -1676,20 +1691,24 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy detection
         // threshold occupies the first 20 MHz subchannel of the S40: 27.3.20.6.4: Any signal within
         // the secondary 40 MHz channel at or above a threshold of –59 dBm within a period of
-        // aCCATime after the signal arrives at the receiver’s antenna(s).
+        // aCCATime after the signal arrives at the receiver's antenna(s).
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 20 MHz signal that occupies the first subchannel of "
                             "S40 above ED threshold");
         ScheduleTest(delay,
-                     {{-55.0, MicroSeconds(0), MicroSeconds(100), S40_CENTER_FREQUENCY - 10, 20}},
+                     {{dBm_u{-55},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S40_CENTER_FREQUENCY - MHz_u{10},
+                       MHz_u{20}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -1713,7 +1732,7 @@
                                                                   MicroSeconds(0),
                                                                   MicroSeconds(100),
                                                                   MicroSeconds(0)})}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE for the S40 if a signal below the energy detection threshold
